(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*  Soubor: MOTAK.PAS                                                      *)
(*  Obsah: vypocet delky prouzku papiru                                    *)
(*  Autor: Mircosoft (http://mircosoft.mzf.cz)                             *)
(*  Posledni uprava: 8.2.2015                                              *)
(*  Pro kompilaci: nic                                                     *)
(*  Pro spusteni: nic                                                      *)
(*  Upozorneni: tyto zdrojove kody pouzivate na vlastni nebezpeci          *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
program namotavac;

var PrumerTrnu,VnejsiPrumer,TloustkaPapiru:real;
    o:char; {pro klavesnici}

    Delka, {prubezne pocitana vysledna delka prouzku}
    Prumer:real; {skutecny prumer}
    PocetZavitu:word; {prubezne pocitany pocet zavitu}

BEGIN
writeln(' Motak');
writeln('=======');
writeln('Vypocet delky prouzku, ktery po namotani na trn vytvori valec o danem');
writeln('prumeru. Vysledek vyjde ve stejnych jednotkach, v jakych zadate vstupy.');

 repeat
 writeln;
 write('Prumer trnu: '); readln(prumertrnu);
 write('Pozadovany vnejsi prumer valce: '); readln(vnejsiprumer);
 write('Tloustka papiru: '); readln(tloustkapapiru);
 writeln;
 {jen tak pro jistotu, aby nehrozily nekonecne smycky:}
 prumertrnu:=abs(prumertrnu); vnejsiprumer:=abs(vnejsiprumer); tloustkapapiru:=abs(tloustkapapiru);

 pocetzavitu:=0;
 delka:=0;
 prumer:=prumertrnu;
 while prumer<vnejsiprumer do
   begin
   inc(pocetzavitu);
   delka:=delka+pi*(prumer+tloustkapapiru); {dejme tomu, ze neutralni osa bude v polovine tloustky papiru}
   prumer:=prumer+2*tloustkapapiru; {namotanim jednoho zavitu vzroste polomer o jednu tloustku a prumer o dve}
   end;

 writeln('Po namotani ',pocetzavitu,' zavitu dostaneme prumer ',prumer:0:2,'.');
 writeln('Je na to potreba prouzek dlouhy ',delka:0:1,'.');
 writeln;
 write('Dalsi vypocet? (A/N) '); readln(o);
 until upcase(o)<>'A';

writeln;
writeln('(cc) Mircosoft 2015');
writeln('http://mircosoft.mzf.cz');
END.